unit basicunit;
{$mode delphi} {$H+}
interface
uses  Classes, SysUtils;
Procedure ModulesInit;
Procedure ModulesDone;
procedure BASICmain;

Const DrawTimeInterval=0;
Const DrawStartDelay=1;
Const VirtualStackSize=4160749568;

implementation
uses Forms, math, graphics,
 windows,winlib,
  base,base2,textfrm,textfile,arrays,affine,graphsys,
  math2sub,datalist,baslib,graphlib,debugdg,paintfrm,
  MyThread,assignlib, mathlib;
{$MAXFPUREGISTERS 0}





(* Modules initialize and dispose *)
Procedure ModulesInit;
begin
end;
Procedure ModulesDone;
begin
end;

(* Main Program *)
procedure BASICmain;
var _E:double=0;
var _I:double=0;
var _N:double=0;
var _X:double=0;
var __own1_00000:double=0;
var __own2_00001:double=0;
begin
//  let e=exp(1)
_E := 2.7182818284590451;
//  FOR i=1 TO 53
__own1_00000 := 53 ;
_I := 1 ;
while (_I <= __own1_00000) do begin
//     LET n=2^i
_N := power(2,_I);
//     LET x=(1+1/n)^n
_X := power(1+(1/(_N)),_N);
//     PRINT n,x,x-e
console.PRINT([],rsNone, false ,[_N, TNewZone.create ,_X, TNewZone.create ,_X-(_E), TNewLine.create ]);
//  NEXT i 
_I := _I + 1 ;
end;
//  END

end;{end main}
initialization
  AppName:='F:\BASIC\BASICw32\Q&A\E';
  SystemStackSize := 66584576;
  signiwidth0:=13;
  TextMode := true ;
  GraphMode:= false ;
  BMPSize:=BMP1001;
  TextProblemCoordinate:= false ;
  UseCharInput:= false ;
  FontCharSet:=1;
  FontSize:=0;
  FontName:='default';
  FontStyle:=[];
  FirstThreadPriority:=tpNormal;



Finalization



end.
